CONST WIDTH=2
TYPE Record
value AS LONG
text AS STRING * 4
END TYPE
COMMON SHARED shared&
DIM SHARED state&
DATA 7
SUB Work(a&(), r AS Record, n&)
state&=state&+1
shared&=shared&+1
READ a&(1)
r.value=r.value+n&
r.text="TB"
n&=9
PRINT state&
END SUB
